# Modify Domain Record - ModifyUDNSRecord

## Overview

Modify Domain Record






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ModifyUDNSRecord`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.ckcloudai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **DNSZoneId** | string | Domain Resource ID |**Yes**|
| **RecordId** | string | Domain Record Resource ID |**Yes**|
| **Value** | string | Numeric group, supports comma separation. The format is: Value\|Weight\|Enable, where Weight supports 1-10, and Enable is an enumeration value (1 for enable, 0 for disable). Input format example: 192.168.1.1\|1\|1,192.168.1.2\|10\|0. |No|
| **ValueType** | string | Value type. Enumerated values, "Normal", standard; "Multivalue", multiple values returned. Only when the value is "Multivalue", the weight of Value takes effect. |No|
| **TTL** | int | TTL value, in seconds |No|
| **Remark** | string | Notes on the record |No|
| **Type** | string | Record type. Enumeration values, "A", "CNAME", "MX", "AAAA", "SRV", "PTR", "TXT". |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.ckcloudai.com/?Action=ModifyUDNSRecord
&Region=cn-zj
&ProjectId=ZogWNVNK
&DNSZoneId=XnUYoCQj
&RecordId=ZgUVCGjB
&Value=uuURpPBI
&ValueType=xFbCcBwd
&TTL=2
&Remark=tLgVkCkD
&Type=YPAUcANF
```

### Response Example
    
```json
{
  "Action": "ModifyUDNSRecordResponse",
  "RetCode": 0
}
```





